Loading...
Searching...
No Matches
DiscreteKey.h File Reference

specialized key for discrete variables More...

Go to the source code of this file.

## Classes

struct | gtsam::DiscreteKeys
| DiscreteKeys is a set of keys that can be assembled using the & operator. More...
struct | gtsam::traits< DiscreteKeys >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::DiscreteKey = std::pair<Key,size_t>
| Key type for discrete variables.

## Functions

DiscreteKeys | gtsam::operator& (const DiscreteKey &key1, const DiscreteKey &key2)
| Create a list from two keys.

## Detailed Description

specialized key for discrete variables

Author
  Frank Dellaert

Date
  Feb 28, 2011